Partially update a company
PATCH
/api/companies/{companyid}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Patch, RequestUri = new Uri("https://api.eventpoint.io/api/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"name\": \"example\", \"displayName\": \"example\", \"email\": \"example\", \"description\": \"example\", \"contactInformation\": \"example\", \"url\": \"example\", \"styleContent\": \"example\", \"companyTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"address1\": \"example\", \"address2\": \"example\", \"city\": \"example\", \"state\": \"example\", \"country\": \"example\", \"postalCode\": \"example\", \"socials\": \"example\", \"externalId\": \"example\", \"approved\": true, \"published\": true, \"meta\": \"example\", \"event\": { \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"exhibitorTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"sponsorTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"vendorTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"name":"example","displayName":"example","email":"example","description":"example","contactInformation":"example","url":"example","styleContent":"example","companyTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","address1":"example","address2":"example","city":"example","state":"example","country":"example","postalCode":"example","socials":"example","externalId":"example","approved":true,"published":true,"meta":"example","event":{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","exhibitorTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","sponsorTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","vendorTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.eventpoint.io/api/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "name": "example", "displayName": "example", "email": "example", "description": "example", "contactInformation": "example", "url": "example", "styleContent": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "socials": "example", "externalId": "example", "approved": true, "published": true, "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyid
required
string format: uuid
The company identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”Only the company values that should change.
Editable company fields for create and partial update.
object
name
null | string
displayName
null | string
email
null | string
description
null | string
contactInformation
null | string
url
null | string
styleContent
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
socials
null | string
externalId
null | string
approved
boolean
published
boolean
meta
null | object
event
An optional event assignment applied with a company mutation.
object
eventId
string format: uuid
exhibitorTypeId
null | string format: uuid
sponsorTypeId
null | string format: uuid
vendorTypeId
null | string format: uuid
Examplegenerated
{ "name": "example", "displayName": "example", "email": "example", "description": "example", "contactInformation": "example", "url": "example", "styleContent": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "socials": "example", "externalId": "example", "approved": true, "published": true, "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}Editable company fields for create and partial update.
object
name
null | string
displayName
null | string
email
null | string
description
null | string
contactInformation
null | string
url
null | string
styleContent
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
socials
null | string
externalId
null | string
approved
boolean
published
boolean
meta
null | object
event
An optional event assignment applied with a company mutation.
object
eventId
string format: uuid
exhibitorTypeId
null | string format: uuid
sponsorTypeId
null | string format: uuid
vendorTypeId
null | string format: uuid
Examplegenerated
{ "name": "example", "displayName": "example", "email": "example", "description": "example", "contactInformation": "example", "url": "example", "styleContent": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "socials": "example", "externalId": "example", "approved": true, "published": true, "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}Editable company fields for create and partial update.
object
name
null | string
displayName
null | string
email
null | string
description
null | string
contactInformation
null | string
url
null | string
styleContent
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
socials
null | string
externalId
null | string
approved
boolean
published
boolean
meta
null | object
event
An optional event assignment applied with a company mutation.
object
eventId
string format: uuid
exhibitorTypeId
null | string format: uuid
sponsorTypeId
null | string format: uuid
vendorTypeId
null | string format: uuid
Examplegenerated
{ "name": "example", "displayName": "example", "email": "example", "description": "example", "contactInformation": "example", "url": "example", "styleContent": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "socials": "example", "externalId": "example", "approved": true, "published": true, "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
externalId
null | string
approved
boolean
published
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
externalId
null | string
approved
boolean
published
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "displayName": "example", "email": "example", "description": "example", "url": "example", "contactInformation": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "latitude": 1, "longitude": 1, "imageUrl": "example", "imageAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdByUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "socials": "example", "externalId": "example", "approved": true, "published": true, "style": { "hasStyle": true, "primaryColor": "example", "secondaryColor": "example", "backgroundColor": "example", "textColor": "example", "contrastColor": "example", "fontFamily": "example", "secondaryContrastColor": "example" }, "meta": "example", "profileImages": { "defaultOriginal": "example", "defaultLarge": "example", "defaultMedium": "example", "defaultSmall": "example", "thumbnailSmall": "example", "thumbnailLarge": "example" }}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
externalId
null | string
approved
boolean
published
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "displayName": "example", "email": "example", "description": "example", "url": "example", "contactInformation": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "latitude": 1, "longitude": 1, "imageUrl": "example", "imageAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdByUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "socials": "example", "externalId": "example", "approved": true, "published": true, "style": { "hasStyle": true, "primaryColor": "example", "secondaryColor": "example", "backgroundColor": "example", "textColor": "example", "contrastColor": "example", "fontFamily": "example", "secondaryContrastColor": "example" }, "meta": "example", "profileImages": { "defaultOriginal": "example", "defaultLarge": "example", "defaultMedium": "example", "defaultSmall": "example", "thumbnailSmall": "example", "thumbnailLarge": "example" }}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}